<?php
function solarsystem_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'solarsystem_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'solar-system' ),
		)
	); 
	

	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'solar-system' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','solar-system'),
			'priority' => 1,
			'panel' => 'solarsystem_frontpage_sections',
		)
	);


	$wp_customize->add_setting('solarsystem_reset_slider_settings',array(
	  'sanitize_callback'   => 'sanitize_text_field'
	));
	$wp_customize->add_control(new solarsystem_Reset_Custom_Control($wp_customize, 'solarsystem_reset_slider_settings',array(
	  'type' => 'reset_control',
	   'priority' => 1,
	  'label' => __('Reset Slider Settings', 'solar-system'),
	  'description' => 'solar_system_slider_reset_settings',
	  'section' => 'slider_setting'
	)));
	

	$wp_customize->add_setting('solarsystem_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new solarsystem_Tab_Control($wp_customize, 'solarsystem_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'solar-system'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'solar-system'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'slider_titlecolor',
                'slider_descriptioncolor',
                'slider_btntxt1color',
                'slider_Overlaycolor'

            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'solar-system'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'solar_system_slider_section_width',
			   'solarsystem_slider_padding',
			   'solar_system_slider_top_padding',
			   'solar_system_slider_bottom_padding'
		   ),
		)
	    
    	),
	))); 


	

	// General Tab

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);


	// Style setting

	// slider title Color
	$slidertitlecolor = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider description Color
	$sliderdescriptioncolor = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'slider_descriptioncolor',
    	array(
			'default' => $sliderdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button Text Color','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);



		// slider Overlay Color
	$sliderOverlaycolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'slider_Overlaycolor',
    	array(
			'default' => $sliderOverlaycolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_Overlaycolor',
		array(
		    'label'   		=> __('Image Overlay Color','solar-system'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// layout setting
	$wp_customize->add_setting('solar_system_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'solarsystem_sanitize_choices',
    ));
    $wp_customize->add_control('solar_system_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','solar-system'),
        'choices' => array (
            'Box Width' => __('Box Width','solar-system'),
            'Full Width' => __('Full Width','solar-system')
        ),
        'section' => 'slider_setting',
    ));


 // slider section padding 
	$wp_customize->add_setting('solarsystem_slider_padding',array(
      'sanitize_callback'   => 'esc_html'
    ));
    $wp_customize->add_control('solarsystem_slider_padding',array(
      'label' => __('Section Padding','solar-system'),
      'section' => 'slider_setting'
    ));

    $wp_customize->add_setting('solar_system_slider_top_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('solar_system_slider_top_padding',array(
	    'type' => 'number',
	    'label' => __('Top','solar-system'),
	    'section' => 'slider_setting',
    ));

 	$wp_customize->add_setting('solar_system_slider_bottom_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('solar_system_slider_bottom_padding',array(
	    'type' => 'number',
	    'label' => __('Bottom','solar-system'),
	    'section' => 'slider_setting',
    ));




	/*=========================================
	Feature Section
	=========================================*/
	$wp_customize->add_section(
		'Feature_setting', array(
			'title' => esc_html__( 'Feature Section', 'solar-system' ),
			'priority' => 2,
			'panel' => 'solarsystem_frontpage_sections',
		)
	);


	$wp_customize->add_setting('solarsystem_reset_Feature_settings',array(
	  'sanitize_callback'   => 'sanitize_text_field'
	));
	$wp_customize->add_control(new solarsystem_Reset_Custom_Control($wp_customize, 'solarsystem_reset_Feature_settings',array(
	  'type' => 'reset_control',
	   'priority' => 1,
	  'label' => __('Reset Feature Settings', 'solar-system'),
	  'description' => 'solar_system_Feature_reset_settings',
	  'section' => 'Feature_setting'
	)));
	

	$wp_customize->add_setting('solarsystem_Feature_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new solarsystem_Tab_Control($wp_customize, 'solarsystem_Feature_tabs', array(
	   'section' => 'Feature_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'solar-system'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'feature_disable_section',
            	'Feature1',
            	'Feature2',
            	'Feature3'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'solar-system'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'feature_boxtitlecolorcolor',
            	'feature_boxIconcolorcolor',
				'feature_boxIconhovercolor',
            	'feature_boxdescriptioncolorcolor',
            	'feature_buttonbgcolor',
            	'feature_buttontextcolor',
            	'feature_buttonbghovercolor',
            	'feature_boxbgcolor'
            ),
     	),
  		array(
	        'name' => esc_html__('Layout', 'solar-system'),
	        'icon' => 'dashicons dashicons-layout',
	        'fields' => array(
	            'solar_system_feature_section_width',
	            'solarsystem_feature_padding',
	            'solar_system_feature_top_padding',
	            'solar_system_feature_bottom_padding'
	        ),
     	)
	    
    	),
	))); 



	// General

	// hide show feature section
	$wp_customize->add_setting(
        'feature_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new solarsystem_Toggle_Switch_Custom_Control(
            $wp_customize,
            'feature_disable_section',
            array(
                'settings'      => 'feature_disable_section',
                'section'       => 'Feature_setting',
                'label'         => __( 'Disable Section', 'solar-system' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'solar-system' ),
                    'off' => __( 'No', 'solar-system' )
                ),
            )
        )
    );


    

	// Feature 1
	$wp_customize->add_setting( 
    	'Feature1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'Feature1',
		array(
		    'label'   		=> __('Feature 1','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// Feature 2
	$wp_customize->add_setting(
    	'Feature2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'Feature2',
		array(
		    'label'   		=> __('Feature 2','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Feature 3
	$wp_customize->add_setting(
    	'Feature3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'Feature3',
		array(
		    'label'   		=> __('Feature 3','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// style

	// feature box  Icon color color
	$featureboxIconcolorcolor = esc_html__('#e5e5e5', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_boxIconcolorcolor',
    	array(
			'default' => $featureboxIconcolorcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxIconcolorcolor',
		array(
		    'label'   		=> __('Icon Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


		// feature box  Icon Hover color
	$featureboxIconhovercolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_boxIconhovercolor',
    	array(
			'default' => $featureboxIconhovercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxIconhovercolor',
		array(
		    'label'   		=> __('Icon Hover Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature boxtitlecolor color
	$featureboxtitlecolorcolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_boxtitlecolorcolor',
    	array(
			'default' => $featureboxtitlecolorcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxtitlecolorcolor',
		array(
		    'label'   		=> __('Title Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature boxdescriptioncolor color
	$featureboxdescriptioncolorcolor = esc_html__('#b4b3b1', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_boxdescriptioncolorcolor',
    	array(
			'default' => $featureboxdescriptioncolorcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxdescriptioncolorcolor',
		array(
		    'label'   		=> __('Description Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// feature buttonbg color
	$featurebuttonbgcolor = esc_html__('#FE8901', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_buttonbgcolor',
    	array(
			'default' => $featurebuttonbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_buttonbgcolor',
		array(
		    'label'   		=> __('Button BG Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature buttontext color
	$featurebuttontextcolor = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_buttontextcolor',
    	array(
			'default' => $featurebuttontextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_buttontextcolor',
		array(
		    'label'   		=> __('Button Text Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature buttonbghover color
	$featurebuttonbghovercolor = esc_html__('#F2842E', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_buttonbghovercolor',
    	array(
			'default' => $featurebuttonbghovercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_buttonbghovercolor',
		array(
		    'label'   		=> __('Button BG Hover Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature boxbg color
	$featureboxbgcolor = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'feature_boxbgcolor',
    	array(
			'default' => $featureboxbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_boxbgcolor',
		array(
		    'label'   		=> __('Box BG Color','solar-system'),
		    'section'		=> 'Feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// layout setting

	$wp_customize->add_setting('solar_system_feature_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'solarsystem_sanitize_choices',
    ));
    $wp_customize->add_control('solar_system_feature_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','solar-system'),
        'choices' => array (
            'Box Width' => __('Box Width','solar-system'),
            'Full Width' => __('Full Width','solar-system')
        ),
        'section' => 'Feature_setting',
    ));


    // feature section padding 
	$wp_customize->add_setting('solarsystem_feature_padding',array(
      'sanitize_callback'   => 'esc_html'
    ));
    $wp_customize->add_control('solarsystem_feature_padding',array(
      'label' => __('Section Padding','solar-system'),
      'section' => 'Feature_setting'
    ));

    $wp_customize->add_setting('solar_system_feature_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('solar_system_feature_top_padding',array(
	    'type' => 'number',
	    'label' => __('Top','solar-system'),
	    'section' => 'Feature_setting',
    ));

 	$wp_customize->add_setting('solar_system_feature_bottom_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('solar_system_feature_bottom_padding',array(
	    'type' => 'number',
	    'label' => __('Bottom','solar-system'),
	    'section' => 'Feature_setting',
    ));



    /*=========================================
	Blog Section
	=========================================*/
	$wp_customize->add_section(
		'blog_setting', array(
			'title' => esc_html__( 'Blog Section', 'solar-system' ),
			'priority' => 3,
			'panel' => 'solarsystem_frontpage_sections',
		)
	);


	$wp_customize->add_setting('solarsystem_reset_blog_settings',array(
	  'sanitize_callback'   => 'sanitize_text_field'
	));
	$wp_customize->add_control(new solarsystem_Reset_Custom_Control($wp_customize, 'solarsystem_reset_blog_settings',array(
	  'type' => 'reset_control',
	   'priority' => 1,
	  'label' => __('Reset Blog Settings', 'solar-system'),
	  'description' => 'solar_system_blog_reset_settings',
	  'section' => 'blog_setting'
	)));
	

	$wp_customize->add_setting('solarsystem_blog_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new solarsystem_Tab_Control($wp_customize, 'solarsystem_blog_tabs', array(
	   'section' => 'blog_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'solar-system'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'blog_disable_section',
            	'blog_subheading',
            	'blog_heading'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'solar-system'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'blog_subheadingcolor',
                'blog_headingcolor',
                'blog_titlecolor',
                'blog_descriptioncolor',
                'blog_buttontextcolor',
                'blog_buttonbgcolor',
				'blog_buttonbghrvcolor',
                'blog_authorandcategorycolor',
                'blog_authorandcategorybgcolor'


            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'solar-system'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'solar_system_blog_section_width',
			   'solarsystem_blog_padding',
			   'solar_system_blog_top_padding',
			   'solar_system_blog_bottom_padding',
			   'solar_system_blog_image_height'
		   ),
		)
	    
    	),
	))); 


	// General Tab

	
	// hide show blog section
	$wp_customize->add_setting(
        'blog_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new solarsystem_Toggle_Switch_Custom_Control(
            $wp_customize,
            'blog_disable_section',
            array(
                'settings'      => 'blog_disable_section',
                'section'       => 'blog_setting',
                'label'         => __( 'Disable Section', 'solar-system' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'solar-system' ),
                    'off' => __( 'No', 'solar-system' )
                ),
            )
        )
    );


	// blog subheading Color
	$wp_customize->add_setting(
    	'blog_subheading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'blog_subheading',
		array(
		    'label'   		=> __('Sub Heading','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// blog subheading Color
	$wp_customize->add_setting(
    	'blog_heading',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'blog_heading',
		array(
		    'label'   		=> __('Heading','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// Style setting

	// blog subheading Color
	$blogsubheadingcolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_subheadingcolor',
    	array(
			'default' => $blogsubheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_subheadingcolor',
		array(
		    'label'   		=> __('SubHeading Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog heading Color
	$blogheadingcolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_headingcolor',
    	array(
			'default' => $blogheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_headingcolor',
		array(
		    'label'   		=> __('Heading Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// blog title Color
	$blogtitlecolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_titlecolor',
    	array(
			'default' => $blogtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_titlecolor',
		array(
		    'label'   		=> __('Title Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog description Color
	$blogdescriptioncolor = esc_html__('#000', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_descriptioncolor',
    	array(
			'default' => $blogdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// blog buttontext Color
	$blogbuttontextcolor = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_buttontextcolor',
    	array(
			'default' => $blogbuttontextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_buttontextcolor',
		array(
		    'label'   		=> __('Button Text Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog buttonbg Color
	$blogbuttonbgcolor = esc_html__('#F2842E', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_buttonbgcolor',
    	array(
			'default' => $blogbuttonbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_buttonbgcolor',
		array(
		    'label'   		=> __('Button BG Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog buttonbghrv Color
	$blogbuttonbghrvcolor = esc_html__('#2b2e3d', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_buttonbghrvcolor',
    	array(
			'default' => $blogbuttonbghrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_buttonbghrvcolor',
		array(
		    'label'   		=> __('Button BG Hover Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog authorandcategory Color
	$blogauthorandcategorycolor = esc_html__('#fff', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_authorandcategorycolor',
    	array(
			'default' => $blogauthorandcategorycolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_authorandcategorycolor',
		array(
		    'label'   		=> __('Date & Comments Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// blog authorandcategorybg Color
	$blogauthorandcategorybgcolor = esc_html__('#F2842E', 'solar-system' );
	$wp_customize->add_setting(
    	'blog_authorandcategorybgcolor',
    	array(
			'default' => $blogauthorandcategorybgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'blog_authorandcategorybgcolor',
		array(
		    'label'   		=> __('Date & Comments BG Color','solar-system'),
		    'section'		=> 'blog_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// layout setting

	$wp_customize->add_setting('solar_system_blog_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'solarsystem_sanitize_choices',
    ));
    $wp_customize->add_control('solar_system_blog_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','solar-system'),
        'choices' => array (
            'Box Width' => __('Box Width','solar-system'),
            'Full Width' => __('Full Width','solar-system')
        ),
        'section' => 'blog_setting',
    ));


    // blog section padding 
	$wp_customize->add_setting('solarsystem_blog_padding',array(
      'sanitize_callback'   => 'esc_html'
    ));
    $wp_customize->add_control('solarsystem_blog_padding',array(
      'label' => __('Section Padding','solar-system'),
      'section' => 'blog_setting'
    ));

    $wp_customize->add_setting('solar_system_blog_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('solar_system_blog_top_padding',array(
	    'type' => 'number',
	    'label' => __('Top','solar-system'),
	    'section' => 'blog_setting',
    ));

 	$wp_customize->add_setting('solar_system_blog_bottom_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('solar_system_blog_bottom_padding',array(
	    'type' => 'number',
	    'label' => __('Bottom','solar-system'),
	    'section' => 'blog_setting',
    ));

	// blog img height
    $wp_customize->add_setting('solar_system_blog_image_height',array(
        'default' => 250,
        'sanitize_callback' => 'solarsystem_sanitize_float'
    ));
    $wp_customize->add_control(new solarsystem_Custom_Control( $wp_customize, 'solar_system_blog_image_height',array(
	    'label' => __('Image Height','solar-system'),
	    'section' => 'blog_setting',
	    'input_attrs' => array(
	            'min' => 0,
	            'max' => 500,
	            'step' => 1,
	        ),
    )));


	$wp_customize->register_control_type('solarsystem_Tab_Control');

}

add_action( 'customize_register', 'solarsystem_blog_setting' );

// feature selective refresh
function solarsystem_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'solarsystem_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'solarsystem_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'solarsystem_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'solarsystem_blog_section_partials' );

// blog_title
function solarsystem_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function solarsystem_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// feature description
function solarsystem_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


